| Home | Libraries | People | FAQ | More

##### segments_base::const_iterator

A Bidirectional iterator to a path segment.

###### Synopsis

    using const_iterator = iterator;

###### Description

Objects of this type allow iteration through the segments in the path. Any percent-escapes in returned strings are decoded first. The values returned are read-only; changes to segments must be made through the container instead, if the container supports modification.

The strings produced when iterators are dereferenced belong to the iterator and become invalidated when that particular iterator is incremented, decremented, or destroyed.